Skip to content

getFavorites.v1

POST
/shopgate.user.getFavorites.v1

This pipeline is used to retrieve the favorites of a user. Favorites are the products, retrieved from shopgate.catalog.getProducts.v1 pipeline, but can additionally contain metadata. Version 2 replaces this pipeline where the services support it. It returns items with a quantity and a note instead of bare products.

Media typeapplication/json
object
favoritesListId
favoritesListId

The ID of the favorite list. Apps without support for multiple favorite lists use the implicit list DEFAULT.

string
Example
1

Successful response

Media typeapplication/json
object
products
required
Array
object
metadata
object
totalProductCount

The number of products on the list.

integer
Example
{
"products": [
{
"id": "abc123",
"metadata": {
"metaPropKey": "metaPropValue"
},
"...": "all properties of BasicProduct"
}
],
"totalProductCount": 1
}

Returns one or multiple error messages.

Media typeapplication/json